Page MenuHomePhabricator

svg: creation of gradient node from data parsing of color property and refactoring of fill and stroke attribute.
ClosedPublic

Authored by smohanty on Jun 14 2016, 8:52 PM.

Details

Reviewers
jpeg
cedric

Diff Detail

Repository
rEFL core/efl
Branch
fill
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 2097
Build 2162: arc lint + arc unit
smohanty updated this revision to Diff 9300.Jun 14 2016, 8:52 PM
smohanty retitled this revision from to svg : refactored the handling of fill and stroke attribute.
smohanty updated this object.
smohanty edited the test plan for this revision. (Show Details)
smohanty updated this revision to Diff 9301.Jun 14 2016, 8:55 PM

removed printf

smohanty updated this revision to Diff 9303.Jun 15 2016, 4:25 AM

added transformation support

cedric requested changes to this revision.Jun 15 2016, 10:25 AM
cedric added a reviewer: cedric.

It doesn't seems to be just a refactoring, but include some bug fixes to. Could you improve the commit message ? Also it would be good to provide some testing infrastructure for this feature.

src/lib/edje/edje_load.c
2470

This does look like a if () else if () case, not to sure about using do { } while (0) as we don't have that anywhere in our code. Could become missleading in the future. It is a maybe.

2504

This code look like a serie of if () else if () to me, no ?

This revision now requires changes to proceed.Jun 15 2016, 10:25 AM
smohanty updated this revision to Diff 9322.Jun 16 2016, 12:28 AM
smohanty edited edge metadata.

updated review comment

smohanty marked 2 inline comments as done.Jun 16 2016, 12:31 AM
smohanty updated this revision to Diff 9323.Jun 16 2016, 12:55 AM
smohanty edited edge metadata.

update commit message

smohanty retitled this revision from svg : refactored the handling of fill and stroke attribute to svg: creation of gradient node from data parsing of color property and refactoring of fill and stroke attribute..Jun 16 2016, 12:57 AM
cedric accepted this revision.Jun 16 2016, 4:50 PM
cedric edited edge metadata.

Ok, but this lead me to point again that there is no tests, no examples of this feature. You seems to have one obviously or you couldn't do this. Could you provide a patch for this.

This revision is now accepted and ready to land.Jun 16 2016, 4:50 PM
cedric closed this revision.Jun 16 2016, 4:51 PM